Save employees
curl --request POST \
--url https://sandbox.tight.com/v6/employees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"userId": "usr_67890",
"firstName": "John",
"lastName": "Doe",
"id": "emp_12345",
"email": "employee@example.com",
"billableRate": 150,
"ownershipPercentage": 25.5,
"dimensionValueIds": [
"<string>"
],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/employees"
payload = { "data": [
{
"userId": "usr_67890",
"firstName": "John",
"lastName": "Doe",
"id": "emp_12345",
"email": "employee@example.com",
"billableRate": 150,
"ownershipPercentage": 25.5,
"dimensionValueIds": ["<string>"],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
userId: 'usr_67890',
firstName: 'John',
lastName: 'Doe',
id: 'emp_12345',
email: 'employee@example.com',
billableRate: 150,
ownershipPercentage: 25.5,
dimensionValueIds: ['<string>'],
status: 'ACTIVE',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "emp_12345",
"userId": "usr_67890",
"email": "employee@example.com",
"firstName": "John",
"lastName": "Doe",
"billableRate": 150,
"ownershipPercentage": 25.5,
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "emp_12345",
"userId": "usr_67890",
"email": "employee@example.com",
"firstName": "John",
"lastName": "Doe",
"billableRate": 150,
"ownershipPercentage": 25.5,
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "emp_12345",
"userId": "usr_67890",
"email": "employee@example.com",
"firstName": "John",
"lastName": "Doe",
"billableRate": 150,
"ownershipPercentage": 25.5,
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Employees
Save employees
Save new (or update existing) employees
POST
/
v6
/
employees
Save employees
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I